<template>
  <b-carousel id="carousel-1" fade indicators controls background="white" v-if="format == 'caroussel' && includesPage.includes(currentPage)">
    <div class="carousel-item" v-for="diapo in dataModule" :key="diapo.id">
      <figure v-if="diapo.data.image1" class="slider-test_figure" :style="'background-image: url(' + urlFTP + 'tn/tn1-' + diapo.data.image1 + ')'" alt="image test"></figure>

      <div class="carousel-caption d-none d-md-block">
        <h5 class="display-3 font-weight-bold text-white mb-2">{{ diapo.data.titre1 }}</h5>
        <p class="px-lg-14 mb-4 lead">{{ diapo.data.description1 }}</p>
        <b-button pill variant="primary" size="lg" :href="diapo.data.titre3" v-if="diapo.data.titre2 && diapo.data.titre2">{{ diapo.data.titre2 }}</b-button>
      </div>
    </div>
  </b-carousel>
</template>

<script>
export default {
  props: ["format", "includesPage", "moduleName"],
  mounted: function() {
    this.getCurrentPage();
    this.getDatas(this.moduleName);
  },

  data() {
    return {
      dataModule: [],
      contentRaw: [],
      currentPage: "",
      urlFTP: process.env.VUE_APP_URL_UPLOAD_FOLDER + process.env.VUE_APP_SITE_ALIAS + "/"
    };
  },
  methods: {
    structureData() {
      this.dataModule = this.contentRaw.filter(mod => {
        mod.data = JSON.parse(mod.data);
        return mod;
      });
      // .sort(function (a, b) {
      //   return parseFloat(a.ordre) - parseFloat(b.ordre);
      // });
    },
    getDatas(moduleName) {
      this.$axios
        .get(this.$urls.URL_DIAPO_ACTIV + moduleName)
        .then(response => {
          this.contentRaw = response.data.data;
          this.structureData();
        })
        .catch(err => {
          console.log("error ", err);
        });
    },
    getCurrentPage() {
      this.currentPage = this.$router.currentRoute.name;
    }
  }
};
</script>
